name: binary
version: 0.5.1.1
id: binary-0.5.1.1-070d1a748b38a86cefd3ecfe250c286a
license: BSD3
copyright:
maintainer: Lennart Kolmodin, Don Stewart <dons@galois.com>
stability: provisional
homepage: http://code.haskell.org/binary/
package-url:
synopsis: Binary serialisation for Haskell values using lazy ByteStrings
description: Efficient, pure binary serialisation using lazy ByteStrings.
             Haskell values may be encoded to and from binary formats,
             written to disk as binary, or sent over the network.
             Serialisation speeds of over 1 G\/sec have been observed,
             so this library should be suitable for high performance
             scenarios.
category: Data, Parsing
author: Lennart Kolmodin <kolmodin@gmail.com>
exposed: True
exposed-modules: Data.Binary Data.Binary.Put Data.Binary.Get
                 Data.Binary.Builder Data.Binary.Builder.Internal
hidden-modules: Data.Binary.Builder.Base
trusted: False
import-dirs: /usr/lib/ghc-7.6.3/binary-0.5.1.1
library-dirs: /usr/lib/ghc-7.6.3/binary-0.5.1.1
hs-libraries: HSbinary-0.5.1.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.4.0.1-72eb1caf42d7f1e9e960760f41ef98d0
         base-4.6.0.1-4bcc6d6b73091272e4add56b423d4d2f
         bytestring-0.10.0.2-ea1d6622fb7aad447c7746744ecded40
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc/html/libraries/binary-0.5.1.1/binary.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/binary-0.5.1.1
